import { BaseEntity } from 'src/core/modules/domain/entities/base.entity';
import { FormulaType } from '../../constants';

export interface SalesPriceFormulaEntity extends BaseEntity {
  formula_render: any; // json type
  formula_string: string; // digunakan untuk menyimpan string dari formula
  example_formula: string;
  example_result: number;
  value_for: string;
  type: FormulaType;
  additional?: AdditionalFormula[];
}

export interface AdditionalFormula {
  formula_render: any;
  formula_string: string;
  value_for: string;
}
